; Configuration file for Duet 3 (firmware version 3)
; executed by the firmware on start-up
;
; Settings for cbeam machine bought from Avalontech

; General preferences
G90                                          ; send absolute coordinates...
M550 P"MaRko"                                ; set printer name

; Network
M552 P192.168.0.56 S1                             ; enable network and acquire dynamic address via DHCP
M586 P0 S1                                   ; enable HTTP
M586 P1 S0                                   ; disable FTP
M586 P2 S0                                   ; disable Telnet

; Drives
M569 P0.0 S0                                 ; physical drive 0.0 goes forwards X軸　X軸を逆転したい場合はS0をS1に変更してください
M569 P0.1 S1                                 ; physical drive 0.1 goes back　Y軸
M569 P0.2 S1                                 ; physical drive 0.2 goes back　Y軸
M569 P0.3 S1			         ; physical drive 0.3 goes back　Z軸
M569 P0.4 S0			         ; physical drive 0.4 goes forwards　B軸の設定 
M584 X0.0 Y0.1:0.2 Z0.3 B0.4                 ; set drive mapping Y,Z,B軸とモーターをリンク
M350 X8 Y8 Z8 B8 I1                             ; configure microstepping with interpolation
M92 X200.00 Y200.00 Z200.00 B53.33333333333   ; set steps per mm　減速比12:1、マイクロステップはデフォルトの8で計算
M566 X60.00 Y60.00 Z60.00 B240.00                    ; set maximum instantaneous speed changes (mm/min)　以下の4項目は同じ移動量(数値)あたりのモーターの回転数が他の軸の約1/4となるため2または4倍とした
M203 X1800.00 Y1800.00 Z1800.00 B7200.00              ; set maximum speeds (mm/min)
M201 X50.00 Y50.00 Z50.00 B100.00                    ; set accelerations (mm/s^2)
M906 X2000 Y2300 Z2000 B2800 I60                  ; set motor currents (mA)　モーター電流値の設定
M564 S1 H0                                   ; Disable jog commands when not homed

; Axis Limits
M208 X-140 Y-690 Z-100 B-9999999.999 S1			 ; set axis minima
M208 X0 Y0 Z0 B999999.999 S0                      		 ; set axis maxima　B軸のソフトリミットを設定

; Endstops
M574 X1 S1 P"io0.in"                         ; configure active-high endstop for low end on X via pin io0.in
M574 Y1 S1 P"io1.in"                         ; configure active-high endstop for low end on Y via pin io1.in
M574 Z1 S1 P"io2.in"                         ; configure active-high endstop for low end on Z via pin io2.in
M574 B1 0 P"io3.in"		            ; configure void endstop for B axis pin io3.in  B軸用のエンドストップの設定
;これがないとエンドストップが無いというエラーが出るので書いてあるが、Duetへの物理スイッチの接続は不要

; Z-Probe
M558 P5 C"!io7.in" H5 F120 T2400       ; set Z probe type to switch and the dive height + speeds
G31 P500 X0 Y0 Z2.5                          ; set Z probe trigger value, offset and trigger height
M557 X15:215 Y15:195 S20                     ; define mesh grid

; Heaters
M140 H-1                                     ; Disable heater

; Fans
M950 F0 C"out3" Q500                         ; create fan 0 on pin out3 and set its frequency
M106 P0 S0.5 H-1                             ; set fan 0 value. Thermostatic control is turned off

; Tools

; Custom settings are not defined
M453                                         ; Put the machine into CNC Modes
M501                                         ; Load config_override 